## minbif 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(minbif)

SET(CONF_NAME minbif.conf)
SET(MOTD_NAME minbif.motd)

IF(NOT MAN_PREFIX)
	SET(MAN_PREFIX ${CMAKE_INSTALL_PREFIX}/share/man/man8/)
ENDIF(NOT MAN_PREFIX)
IF(NOT CONF_PREFIX)
	SET(CONF_PREFIX ${CMAKE_INSTALL_PREFIX}/etc/minbif)
ENDIF(NOT CONF_PREFIX)
IF(NOT DOC_PREFIX)
	SET(DOC_PREFIX ${CMAKE_INSTALL_PREFIX}/share/doc/minbif)
ENDIF(NOT DOC_PREFIX)

INCLUDE(FindPkgConfig)
INCLUDE(CheckIncludeFiles)
INCLUDE(CheckLibraryExists)

PKG_CHECK_MODULES(PURPLE REQUIRED purple>=2.4)

OPTION(ENABLE_MINBIF "Enable minbif compilation" ON)
OPTION(ENABLE_PLUGIN "Enable plugin build" OFF)
OPTION(ENABLE_PAM "Enable PAM support" OFF)

IF(ENABLE_MINBIF)
	OPTION(ENABLE_CACA "Enable libcaca library" ON)
	IF(ENABLE_CACA)
		PKG_CHECK_MODULES(CACA caca>=0.99)
		PKG_CHECK_MODULES(IMLIB imlib2>=1.0)

		IF(IMLIB_FOUND AND CACA_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_CACA")
		ELSE(IMLIB_FOUND AND CACA_FOUND)
			MESSAGE(FATAL_ERROR "Unable to find the libcaca and/or imlib2 libraries. To disable caca output, run 'make ENABLE_CACA=0'")
		ENDIF(IMLIB_FOUND AND CACA_FOUND)

	ENDIF(ENABLE_CACA)

	OPTION(ENABLE_VIDEO "Enable video support" ON)
	IF(ENABLE_VIDEO)
		IF(NOT ENABLE_CACA)
			MESSAGE(FATAL_ERROR "You need to enable CACA to enable VIDEO")
		ENDIF(NOT ENABLE_CACA)
		PKG_CHECK_MODULES(GSTREAMER gstreamer-0.10>=0.10.10 gstreamer-interfaces-0.10>=0.10)
		PKG_CHECK_MODULES(FARSIGHT farsight2-0.10>=0.0.9)
		PKG_CHECK_MODULES(PURPLE_26 purple>=2.6.1)
		IF(GSTREAMER_FOUND AND PURPLE_26_FOUND AND FARSIGHT_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_VIDEO")
		ELSE(GSTREAMER_FOUND AND PURPLE_26_FOUND AND FARSIGHT_FOUND)
			MESSAGE(FATAL_ERROR "Dependencies for video were not met. Install gstreamer, farsight and libpurple>=2.6 first. Or to disable video, run 'make ENABLE_VIDEO=0'")
		ENDIF(GSTREAMER_FOUND AND PURPLE_26_FOUND AND FARSIGHT_FOUND)
	ENDIF(ENABLE_VIDEO)
ENDIF(ENABLE_MINBIF)
IF(ENABLE_PLUGIN)
	PKG_CHECK_MODULES(LIBXML REQUIRED libxml-2.0>=2.5)
ENDIF(ENABLE_PLUGIN)
IF (ENABLE_PAM)
	CHECK_INCLUDE_FILES ("security/pam_appl.h" HAVE_SECURITY_PAM_APPL_H)
	CHECK_INCLUDE_FILES ("pam/pam_appl.h" HAVE_PAM_PAM_APPL_H)
	CHECK_INCLUDE_FILES ("security/pam_misc.h" HAVE_SECURITY_PAM_MISC_H)
	CHECK_INCLUDE_FILES ("security/openpam.h" HAVE_OPENPAM_H)
	CHECK_INCLUDE_FILES ("security/pam_modules.h" HAVE_PAM_MODULES_H)

	CHECK_LIBRARY_EXISTS("pam" "pam_set_item" "" HAVE_LPAM)

	IF (HAVE_LPAM)
		IF (HAVE_SECURITY_PAM_APPL_H OR HAVE_PAM_PAM_APPL_H)
			SET(PAM_FOUND TRUE)
			SET(PAM_LDFLAGS "-lpam")
			ADD_DEFINITIONS(-DHAVE_PAM)
		ENDIF (HAVE_SECURITY_PAM_APPL_H OR HAVE_PAM_PAM_APPL_H)
	ENDIF (HAVE_LPAM)
ENDIF (ENABLE_PAM)

INCLUDE_DIRECTORIES(${PURPLE_INCLUDE_DIRS} ${CACA_INCLUDE_DIRS} ${IMLIB_INCLUDE_DIRS} ${GSTREAMER_INCLUDE_DIRS} ${FARSIGHT_INCLUDE_DIRS} ${LIBXML_INCLUDE_DIRS} "src/")
LINK_DIRECTORIES(${PURPLE_LINK_DIRS} ${CACA_LINK_DIRS} ${IMLIB_LINK_DIRS} ${GSTREAMER_LINK_DIRS} ${FARSIGHT_LINK_DIRS} ${LIBXML_LINK_DIRS})

SET(CMAKE_BUILD_TYPE ${BUILD})
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_REENTRANT -D_FILE_OFFSET_BITS=64 -Werror -Wall -Wextra -Wno-unused-parameter")
SET(CMAKE_CXX_FLAGS ${CMAKE_C_FLAGS})

IF(ENABLE_MINBIF)
	add_subdirectory(src)
ENDIF(ENABLE_MINBIF)

IF(ENABLE_PLUGIN)
	add_subdirectory(plugins)
ENDIF(ENABLE_PLUGIN)

MESSAGE(STATUS "Using compiler ${CMAKE_CXX_COMPILER}")
MESSAGE(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

INSTALL(FILES man/minbif.8
	DESTINATION ${MAN_PREFIX})
INSTALL(FILES COPYING README
	DESTINATION ${DOC_PREFIX})
INSTALL(DIRECTORY doc/
	DESTINATION ${DOC_PREFIX})
INSTALL(FILES ${CONF_NAME} ${MOTD_NAME}
	DESTINATION ${CONF_PREFIX})

=== Makefile ===
ENABLE_MINBIF ?= ON
ENABLE_CACA ?= ON
ENABLE_VIDEO ?= OFF
ENABLE_PLUGIN ?= OFF
ENABLE_PAM ?= OFF
PREFIX ?= /usr/local/
CMAKE_OPTIONS = -DCMAKE_BUILD_TYPE=Debug -DCMAKE_VERBOSE_MAKEFILE=0 \
                -DENABLE_CACA=$(ENABLE_CACA) -DENABLE_VIDEO=$(ENABLE_VIDEO) -DENABLE_PLUGIN=$(ENABLE_PLUGIN) -DENABLE_PAM=$(ENABLE_PAM) -DENABLE_MINBIF=$(ENABLE_MINBIF) \
                -DCMAKE_INSTALL_PREFIX=$(PREFIX) -DMAN_PREFIX=$(MAN_PREFIX) -DCONF_PREFIX=$(CONF_PREFIX) -DDOC_PREFIX=$(DOC_PREFIX)

all: build.minbif/Makefile
	make -C build.minbif all

build.minbif/Makefile:
	[ -d build.minbif ] || mkdir build.minbif; \
	cd build.minbif && cmake $(CMAKE_OPTIONS) .. || cd .. && rm -rf build.minbif

install:
	make -C build.minbif install

clean:
	rm -rf build.minbif
	rm -rf release

doc:
	cd doc/ && /usr/bin/doxygen

tests:
	make -C tests

.PHONY: all clean install doc tests

=== plugins/CMakeLists.txt ===
add_subdirectory(lib)
add_subdirectory(coincoin)
add_subdirectory(gayattitude)

=== src/CMakeLists.txt ===
SET(BIN_NAME minbif)

IF(PAM_FOUND)
	SET(MINBIF_EXTRA_FILES_PAM "im/auth_pam.cpp")
ENDIF(PAM_FOUND)
ADD_EXECUTABLE(${BIN_NAME}
		core/minbif.cpp
		core/sighandler.cpp
		core/util.cpp
		core/log.cpp
		core/mutex.cpp
		core/callback.cpp
		core/config.cpp
		core/caca_image.cpp
		server_poll/poll.cpp
		server_poll/inetd.cpp
		server_poll/daemon_fork.cpp
		im/im.cpp
		im/auth.cpp
		im/auth_local.cpp
		${MINBIF_EXTRA_FILES_PAM}
		im/protocol.cpp
		im/account.cpp
		im/roomlist.cpp
		im/buddy.cpp
		im/conversation.cpp
		im/request.cpp
		im/ft.cpp
		im/media.cpp
		im/purple.cpp
		irc/settings.cpp
		irc/irc.cpp
		irc/dcc.cpp
		irc/message.cpp
		irc/server.cpp
		irc/nick.cpp
		irc/user.cpp
		irc/buddy_icon.cpp
		irc/buddy.cpp
		irc/unknown_buddy.cpp
		irc/chat_buddy.cpp
		irc/channel.cpp
		irc/status_channel.cpp
		irc/conversation_channel.cpp
	      )

TARGET_LINK_LIBRARIES(${BIN_NAME} "-lpthread -lstdc++" ${PURPLE_LDFLAGS} ${CACA_LDFLAGS} ${IMLIB_LDFLAGS} ${GSTREAMER_LDFLAGS} ${FARSIGHT_LDFLAGS} ${PAM_LDFLAGS})

INSTALL(TARGETS ${BIN_NAME}
        DESTINATION bin)

=== plugins/coincoin/CMakeLists.txt ===
ADD_LIBRARY(coincoin SHARED
		coincoin.c
		message.c
		)

TARGET_LINK_LIBRARIES(coincoin ${PURPLE_LDFLAGS} pluginlib)
INSTALL(TARGETS coincoin
	DESTINATION lib/purple-2)

=== plugins/gayattitude/CMakeLists.txt ===
ADD_LIBRARY(gayattitude SHARED
		ga_parsing.c
		ga_account.c
		ga_buddy.c
		ga_buddylist.c
		ga_message.c
		gayattitude.c
		)

TARGET_LINK_LIBRARIES(gayattitude ${PURPLE_LDFLAGS} ${LIBXML_LDFLAGS} pluginlib)

=== plugins/lib/CMakeLists.txt ===
ADD_LIBRARY(pluginlib
		http.c
		)
TARGET_LINK_LIBRARIES(pluginlib ${PURPLE_LDFLAGS})
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")

## minbif 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 PROJECT(minbif)
+
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules ${CMAKE_MODULE_PATH} )
 
 SET(CONF_NAME minbif.conf)
 SET(MOTD_NAME minbif.motd)
@@ -18,24 +20,48 @@
 INCLUDE(CheckIncludeFiles)
 INCLUDE(CheckLibraryExists)
 
+if (DEBUG)
+  message(STATUS "Configuring for debug")
+  ADD_DEFINITIONS(-DDEBUG -Werror)
+  SET(CMAKE_BUILD_TYPE Debug)
+else (DEBUG)
+  message(STATUS "Configuring for release")
+  SET(CMAKE_BUILD_TYPE Release)
+endif (DEBUG)
+
 PKG_CHECK_MODULES(PURPLE REQUIRED purple>=2.4)
+PKG_CHECK_MODULES(GTHREAD REQUIRED gthread-2.0)
 
 OPTION(ENABLE_MINBIF "Enable minbif compilation" ON)
 OPTION(ENABLE_PLUGIN "Enable plugin build" OFF)
 OPTION(ENABLE_PAM "Enable PAM support" OFF)
 
 IF(ENABLE_MINBIF)
+	OPTION(ENABLE_IMLIB "Use imlib library" ON)
+	IF(ENABLE_IMLIB OR ENABLE_CACA)
+		PKG_CHECK_MODULES(IMLIB imlib2>=1.0)
+
+		IF(IMLIB_FOUND)
+			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_IMLIB")
+		ELSE(IMLIB_FOUND)
+			MESSAGE(FATAL_ERROR "Unable to find the imlib2 library. To disable use of imlib2, run 'make ENABLE_IMLIB=OFF'")
+		ENDIF(IMLIB_FOUND)
+	ENDIF(ENABLE_IMLIB OR ENABLE_CACA)
+
 	OPTION(ENABLE_CACA "Enable libcaca library" ON)
 	IF(ENABLE_CACA)
 		PKG_CHECK_MODULES(CACA caca>=0.99)
-		PKG_CHECK_MODULES(IMLIB imlib2>=1.0)
 
 		IF(IMLIB_FOUND AND CACA_FOUND)
-			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_CACA")
+			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_CACA")
 		ELSE(IMLIB_FOUND AND CACA_FOUND)
-			MESSAGE(FATAL_ERROR "Unable to find the libcaca and/or imlib2 libraries. To disable caca output, run 'make ENABLE_CACA=0'")
+			MESSAGE(FATAL_ERROR "Unable to find the libcaca and/or imlib2 libraries. To disable caca output, run 'make ENABLE_CACA=OFF'")
 		ENDIF(IMLIB_FOUND AND CACA_FOUND)
 
+		PKG_CHECK_MODULES(NEWCACA caca>=0.99.beta17)
+		IF(NOT NEWCACA_FOUND)
+			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_OLD_CACA")
+		ENDIF(NOT NEWCACA_FOUND)
 	ENDIF(ENABLE_CACA)
 
 	OPTION(ENABLE_VIDEO "Enable video support" ON)
@@ -57,28 +83,23 @@
 	PKG_CHECK_MODULES(LIBXML REQUIRED libxml-2.0>=2.5)
 ENDIF(ENABLE_PLUGIN)
 IF (ENABLE_PAM)
-	CHECK_INCLUDE_FILES ("security/pam_appl.h" HAVE_SECURITY_PAM_APPL_H)
-	CHECK_INCLUDE_FILES ("pam/pam_appl.h" HAVE_PAM_PAM_APPL_H)
-	CHECK_INCLUDE_FILES ("security/pam_misc.h" HAVE_SECURITY_PAM_MISC_H)
-	CHECK_INCLUDE_FILES ("security/openpam.h" HAVE_OPENPAM_H)
-	CHECK_INCLUDE_FILES ("security/pam_modules.h" HAVE_PAM_MODULES_H)
+	find_package(PAM)
 
-	CHECK_LIBRARY_EXISTS("pam" "pam_set_item" "" HAVE_LPAM)
+	IF (PAM_FOUND)
+		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_PAM")
+	ENDIF (PAM_FOUND)
+ENDIF (ENABLE_PAM)
+IF (ENABLE_TLS)
+	PKG_CHECK_MODULES(GNUTLS REQUIRED "gnutls")
+	IF (GNUTLS_FOUND)
+		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_TLS")
+	ENDIF (GNUTLS_FOUND)
+ENDIF (ENABLE_TLS)
 
-	IF (HAVE_LPAM)
-		IF (HAVE_SECURITY_PAM_APPL_H OR HAVE_PAM_PAM_APPL_H)
-			SET(PAM_FOUND TRUE)
-			SET(PAM_LDFLAGS "-lpam")
-			ADD_DEFINITIONS(-DHAVE_PAM)
-		ENDIF (HAVE_SECURITY_PAM_APPL_H OR HAVE_PAM_PAM_APPL_H)
-	ENDIF (HAVE_LPAM)
-ENDIF (ENABLE_PAM)
+INCLUDE_DIRECTORIES(${PURPLE_INCLUDE_DIRS} ${GTHREAD_INCLUDE_DIRS} ${CACA_INCLUDE_DIRS} ${IMLIB_INCLUDE_DIRS} ${GSTREAMER_INCLUDE_DIRS} ${FARSIGHT_INCLUDE_DIRS} ${LIBXML_INCLUDE_DIRS} ${PAM_INCLUDE_DIRS} ${GNUTLS_INCLUDE_DIRS} "src/")
+LINK_DIRECTORIES(${PURPLE_LIBRARY_DIRS} ${GTHREAD_LIBRARY_DIRS} ${CACA_LIBRARY_DIRS} ${IMLIB_LIBRARY_DIRS} ${GSTREAMER_LIBRARY_DIRS} ${FARSIGHT_LIBRARY_DIRS} ${LIBXML_LIBRARY_DIRS} ${GNUTLS_LIBRARY_DIRS})
 
-INCLUDE_DIRECTORIES(${PURPLE_INCLUDE_DIRS} ${CACA_INCLUDE_DIRS} ${IMLIB_INCLUDE_DIRS} ${GSTREAMER_INCLUDE_DIRS} ${FARSIGHT_INCLUDE_DIRS} ${LIBXML_INCLUDE_DIRS} "src/")
-LINK_DIRECTORIES(${PURPLE_LINK_DIRS} ${CACA_LINK_DIRS} ${IMLIB_LINK_DIRS} ${GSTREAMER_LINK_DIRS} ${FARSIGHT_LINK_DIRS} ${LIBXML_LINK_DIRS})
-
-SET(CMAKE_BUILD_TYPE ${BUILD})
-SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_REENTRANT -D_FILE_OFFSET_BITS=64 -Werror -Wall -Wextra -Wno-unused-parameter")
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_REENTRANT -D_FILE_OFFSET_BITS=64 -Wall -Wextra -Wno-unused-parameter")
 SET(CMAKE_CXX_FLAGS ${CMAKE_C_FLAGS})
 
 IF(ENABLE_MINBIF)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,9 @@
 IF(PAM_FOUND)
 	SET(MINBIF_EXTRA_FILES_PAM "im/auth_pam.cpp")
 ENDIF(PAM_FOUND)
+IF(GNUTLS_FOUND)
+	SET(MINBIF_EXTRA_FILES_TLS "sockwrap/sockwrap_tls.cpp")
+ENDIF(GNUTLS_FOUND)
 ADD_EXECUTABLE(${BIN_NAME}
 		core/minbif.cpp
 		core/sighandler.cpp
@@ -12,12 +15,16 @@
 		core/callback.cpp
 		core/config.cpp
 		core/caca_image.cpp
+		sockwrap/sockwrap.cpp
+		sockwrap/sockwrap_plain.cpp
+		${MINBIF_EXTRA_FILES_TLS}
 		server_poll/poll.cpp
 		server_poll/inetd.cpp
 		server_poll/daemon_fork.cpp
 		im/im.cpp
 		im/auth.cpp
 		im/auth_local.cpp
+		im/auth_connection.cpp
 		${MINBIF_EXTRA_FILES_PAM}
 		im/protocol.cpp
 		im/account.cpp
@@ -44,7 +51,7 @@
 		irc/conversation_channel.cpp
 	      )
 
-TARGET_LINK_LIBRARIES(${BIN_NAME} "-lpthread -lstdc++" ${PURPLE_LDFLAGS} ${CACA_LDFLAGS} ${IMLIB_LDFLAGS} ${GSTREAMER_LDFLAGS} ${FARSIGHT_LDFLAGS} ${PAM_LDFLAGS})
+TARGET_LINK_LIBRARIES(${BIN_NAME} "-lpthread -lstdc++" ${PURPLE_LIBRARIES} ${GTHREAD_LIBRARIES} ${CACA_LIBRARIES} ${IMLIB_LIBRARIES} ${GSTREAMER_LIBRARIES} ${FARSIGHT_LIBRARIES} ${PAM_LIBRARIES} ${GNUTLS_LIBRARIES})
 
 INSTALL(TARGETS ${BIN_NAME}
         DESTINATION bin)

=== debian/changelog ===
minbif (1:1.0.3-2) unstable; urgency=low

  * Turn on GNUTLS support.

 -- Sebastien Delafond <seb@debian.org>  Wed, 02 Jun 2010 09:31:09 +0200

minbif (1:1.0.3-1) unstable; urgency=low

  * New upstream version.

 -- Sebastien Delafond <seb@debian.org>  Mon, 17 May 2010 12:17:56 +0200

minbif (1:1.0.2+gc44e5a4-2) unstable; urgency=low

  * Removed bashim in init.d script (Closes: #581123).

 -- Sebastien Delafond <seb@debian.org>  Tue, 11 May 2010 11:29:26 +0200

minbif (1:1.0.2+gc44e5a4-1) unstable; urgency=low

  * Upstream re-released 1.0.2.

 -- Sebastien Delafond <seb@debian.org>  Wed, 07 Apr 2010 11:19:41 +0200

minbif (1:1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Changed Vcs-* info in control file so it points to the packaging
    code.

 -- Sebastien Delafond <seb@debian.org>  Mon, 05 Apr 2010 11:47:16 +0200

minbif (1:1.0.1-4) unstable; urgency=low

  * Bumped up versioned dependency on debhelper, as --link-doc for
    dh_install is quite recent.
  * Removed obsolete build patch.
  * Switched to 3.0 (quilt) source format.
  * Included new patch to fix typing notification (Closes: #575794).
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 29 Mar 2010 14:38:59 +0200

minbif (1:1.0.1-3) unstable; urgency=low

  * Updated watch file.
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Sun, 21 Feb 2010 15:13:45 +0100

minbif (1:1.0.1-2) unstable; urgency=low

  * Suggest openbsd-inetd | inet-superserver, and don't fail in
    post{inst,rm} if update-inetd is not available (Closes: #567870).

 -- Sebastien Delafond <seb@debian.org>  Mon, 01 Feb 2010 11:15:39 +0100

minbif (1:1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Jan 2010 14:17:01 +0100

minbif (1:1.0+git20091214+19d5b30-1) unstable; urgency=low

  * Use --retry to make sure the init.d script actually kills the minbif
    process.
  * New development snapshot.
  * Remove -Werror from CFLAGS.

 -- Sebastien Delafond <seb@debian.org>  Mon, 14 Dec 2009 17:41:44 +0100

minbif (1:1.0-1) unstable; urgency=low

  * Official 1.0 release.

 -- Sebastien Delafond <seb@debian.org>  Wed, 18 Nov 2009 14:57:35 +0100

minbif (1:1.0~rc2+git20091117+b47a16d-1) unstable; urgency=low

  * New development snapshot.
  * Fixed installation problems of /etc/* files between minbif and
    minbif-common.
  * Updated package descriptions.

 -- Sebastien Delafond <seb@debian.org>  Tue, 17 Nov 2009 11:19:45 +0100

minbif (1:1.0~rc2+git20091028+cf6562b-1) unstable; urgency=low

  * New development snapshot.
  * Split package into minbif-common, minbif and minbif-webcam.
  * Add Vcs-* info to debian/control.

 -- Sebastien Delafond <seb@debian.org>  Wed, 28 Oct 2009 16:40:51 +0100

minbif (1:1.0~beta+git20091008+6671b7b-2) unstable; urgency=low

  * Handle "reload" action in init.d script.

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Oct 2009 11:59:31 +0200

minbif (1:1.0~beta+git20091008+6671b7b-1) unstable; urgency=low

  * New development snapshot (Closes: #550157).

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Oct 2009 11:25:52 +0200

minbif (1:1.0~beta+git20091005+dfd765c-1) unstable; urgency=low

  * New development snapshot (Closes: #549672).

 -- Sebastien Delafond <seb@debian.org>  Mon, 05 Oct 2009 15:25:54 +0200

minbif (1:1.0~beta+git20091001+9f03d91-1) unstable; urgency=low

  * New development snapshot.
  * Updated long description to account for new capabilities.

 -- Sebastien Delafond <seb@debian.org>  Thu, 01 Oct 2009 18:12:53 +0200

minbif (1:1.0~beta+git20090929+fa518a5-1) unstable; urgency=low

  * New development snapshot (default upstream config file now forces
    daemon mode).

 -- Sebastien Delafond <seb@debian.org>  Tue, 29 Sep 2009 11:41:44 +0200

minbif (1:1.0~beta+git20090928+1aadbc4-1) unstable; urgency=low

  * New development snapshot.
  * Added init script for daemon-fork mode.
  * Fixed devscripts (care about commands, and allow debhelper paragraphs).
  * Added debug package.
  * Don't restart the daemon when upgrading, let the administrator handle
    this manually.
  * Thanks Marc Dequènes (Duck) <Duck@DuckCorp.org> for all the
    aforementioned contributions.
  * Deprecate inetd mode in favor of daemon mode.
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 28 Sep 2009 19:49:49 +0200

minbif (1.0alpha+git20090902-1) unstable; urgency=low

  * New upstream version.
  * Tweaked postrm a bit, to remove the inetd line even when not purging.
  * Set copyright year to 2009, after upstream author removed erroneously
    copy-pasted copyright lines referring to 2006.

 -- Sebastien Delafond <seb@debian.org>  Wed, 02 Sep 2009 15:32:38 +0200

minbif (1.0alpha+git20090818-2) unstable; urgency=low

  * Properly reference /usr/share/common-license/GPL-2 in
    debian/copyright.

 -- Sebastien Delafond <seb@debian.org>  Sat, 29 Aug 2009 10:44:55 +0200

minbif (1.0alpha+git20090818-1) unstable; urgency=low

  * New upstream version, supporting files reception via DCC.

 -- Sebastien Delafond <seb@debian.org>  Tue, 18 Aug 2009 17:07:53 +0200

minbif (1.0alpha+git20090813-1) unstable; urgency=low

  * Initial release (Closes: #541310).

 -- Sebastien Delafond <seb@debian.org>  Thu, 13 Aug 2009 15:09:33 +0200

=== debian/control ===
Source: minbif
Section: net
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 7.4.2), cmake, libimlib2-dev, libcaca-dev, libpurple-dev (>= 2.6.1), libgstfarsight0.10-dev (>=0.0.9), libgstreamer-plugins-base0.10-dev (>= 0.10.10), libgnutls-dev
Standards-Version: 3.8.4
Homepage: http://symlink.me/wiki/minbif
Vcs-Git: git://git.symlink.me/pub/seb/minbif-debian.git
Vcs-Browser: http://git.symlink.me/?p=seb/minbif-debian.git;a=summary

Package: minbif-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, tcpd
Suggests: openbsd-inetd | inet-superserver
Description: IRC-to-other-IM-networks gateway using Pidgin library (common files)
 Minbif is an IRC gateway to IM networks which provides the following features:
  * Minbif uses a library which abstracts all IM calls, and has several
    plugins to support more than 15 IM protocols (IRC included!);
  * Two modes: inetd and daemon fork;
  * Only IRC commands are used to control Minbif;
  * Certificates check;
  * Buddies are IRC users;
  * Each account has a status channel. You see in all connected
    buddies, and their status on it;
  * Add and remove buddies from list with /INVITE and /KICK commands;
  * Blocked users are bans on the account's status channel;
  * Display when a buddy is typing a message;
  * Can chat with someone who is not in your buddy list;
  * You can see buddies' icons (with libcaca) or download them;
  * DCC SEND an image to set your icon on IM networks;
  * Display extended information about buddies with /WII command;
  * Support away messages;                 
  * Can send and receive files, which are sent or received to/from your
    IRC client with DCC SEND;
  * Conversation channels are supported;   
  * Auto\-rejoin conversation channels at connection;
  * Display list of channels on an IM account with /LIST;
  * irssi scripts to increase your user experience of minbif;
  * CACAcam (webcam in ascii art).         
  * CoinCoin plugin for libpurple.         
 .
 This package contains the documentation and common plugins.

Package: minbif
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, minbif-common
Conflicts: minbif-webcam
Description: IRC-to-other-IM-networks gateway using Pidgin library
 Minbif is an IRC gateway to IM networks which provides the following features:
  * Minbif uses a library which abstracts all IM calls, and has several
    plugins to support more than 15 IM protocols (IRC included!);
  * Two modes: inetd and daemon fork;
  * Only IRC commands are used to control Minbif;
  * Certificates check;
  * Buddies are IRC users;
  * Each account has a status channel. You see in all connected
    buddies, and their status on it;
  * Add and remove buddies from list with /INVITE and /KICK commands;
  * Blocked users are bans on the account's status channel;
  * Display when a buddy is typing a message;
  * Can chat with someone who is not in your buddy list;
  * You can see buddies' icons (with libcaca) or download them;
  * DCC SEND an image to set your icon on IM networks;
  * Display extended information about buddies with /WII command;
  * Support away messages;                 
  * Can send and receive files, which are sent or received to/from your
    IRC client with DCC SEND;
  * Conversation channels are supported;   
  * Auto\-rejoin conversation channels at connection;
  * Display list of channels on an IM account with /LIST;
  * irssi scripts to increase your user experience of minbif;
  * CACAcam (webcam in ascii art).         
  * CoinCoin plugin for libpurple.         

Package: minbif-webcam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, minbif-common
Conflicts: minbif
Description: IRC-to-other-IM-networks gateway using Pidgin library (webcam)
 Minbif is an IRC gateway to IM networks which provides the following features:
  * Minbif uses a library which abstracts all IM calls, and has several
    plugins to support more than 15 IM protocols (IRC included!);
  * Two modes: inetd and daemon fork;
  * Only IRC commands are used to control Minbif;
  * Certificates check;
  * Buddies are IRC users;
  * Each account has a status channel. You see in all connected
    buddies, and their status on it;
  * Add and remove buddies from list with /INVITE and /KICK commands;
  * Blocked users are bans on the account's status channel;
  * Display when a buddy is typing a message;
  * Can chat with someone who is not in your buddy list;
  * You can see buddies' icons (with libcaca) or download them;
  * DCC SEND an image to set your icon on IM networks;
  * Display extended information about buddies with /WII command;
  * Support away messages;                 
  * Can send and receive files, which are sent or received to/from your
    IRC client with DCC SEND;
  * Conversation channels are supported;   
  * Auto\-rejoin conversation channels at connection;
  * Display list of channels on an IM account with /LIST;
  * irssi scripts to increase your user experience of minbif;
  * CACAcam (webcam in ascii art).         
  * CoinCoin plugin for libpurple.         
 .
 This package provides the "cacacam" webcam functionality.

Package: minbif-dbg
Architecture: any
Section: debug
Priority: extra
Depends: minbif (= ${binary:Version}), minbif-common (= ${binary:Version}), ${misc:Depends}
Description: IRC-to-other-IM-networks gateway using Pidgin library (dbg)
 Minbif is an IRC gateway to IM networks which provides the following features:
  * Minbif uses a library which abstracts all IM calls, and has several
    plugins to support more than 15 IM protocols (IRC included!);
  * Two modes: inetd and daemon fork;
  * Only IRC commands are used to control Minbif;
  * Certificates check;
  * Buddies are IRC users;
  * Each account has a status channel. You see in all connected
    buddies, and their status on it;
  * Add and remove buddies from list with /INVITE and /KICK commands;
  * Blocked users are bans on the account's status channel;
  * Display when a buddy is typing a message;
  * Can chat with someone who is not in your buddy list;
  * You can see buddies' icons (with libcaca) or download them;
  * DCC SEND an image to set your icon on IM networks;
  * Display extended information about buddies with /WII command;
  * Support away messages;                 
  * Can send and receive files, which are sent or received to/from your
    IRC client with DCC SEND;
  * Conversation channels are supported;   
  * Auto\-rejoin conversation channels at connection;
  * Display list of channels on an IM account with /LIST;
  * irssi scripts to increase your user experience of minbif;
  * CACAcam (webcam in ascii art).         
  * CoinCoin plugin for libpurple.         
 .
 This package provides debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

COMMON_FLAGS := -DCMAKE_INSTALL_PREFIX=/usr -DCONF_PREFIX=/etc/minbif -DENABLE_CACA=ON -DENABLE_PAM=ON -DENABLE_TLS=ON -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_LD_FLAGS="-Wl,-z,defs" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON

builddir/Makefile:
	dh_testdir
	mkdir -p builddir
	cd builddir && cmake .. $(COMMON_FLAGS) -DENABLE_VIDEO=OFF -DENABLE_PLUGIN=ON

builddir2/Makefile:
	dh_testdir
	mkdir -p builddir2
	cd builddir2 && cmake .. $(COMMON_FLAGS) -DENABLE_VIDEO=ON

build: build-stamp

build-stamp:  builddir/Makefile builddir2/Makefile
	dh_testdir
	$(MAKE) -C builddir
	$(MAKE) -C builddir2
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf builddir builddir2 build.minbif
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	$(MAKE) -C builddir DESTDIR=$(CURDIR)/debian/minbif install
	$(MAKE) -C builddir2 DESTDIR=$(CURDIR)/debian/minbif-webcam install

	mkdir -p $(CURDIR)/debian/minbif-common/usr/share/
	mv $(CURDIR)/debian/minbif/usr/share/* $(CURDIR)/debian/minbif-common/usr/share/
	mv $(CURDIR)/debian/minbif/usr/lib $(CURDIR)/debian/minbif-common/usr/
	mv $(CURDIR)/debian/minbif/etc/* $(CURDIR)/debian/minbif-common/etc/

	cp -r $(CURDIR)/scripts $(CURDIR)/debian/minbif-common/usr/share/minbif

	find  $(CURDIR)/debian -name .git -exec rm "{}" \;

	rm -f $(CURDIR)/debian/minbif*/usr/share/doc/minbif/COPYING

	rm -rf $(CURDIR)/debian/minbif/usr/share
	rm -rf $(CURDIR)/debian/minbif-webcam/usr/share
	rm -fr $(CURDIR)/debian/minbif-webcam/etc

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -p minbif-common ChangeLog
	dh_installdocs -X CMakeLists.txt --link-doc=minbif-common
	dh_installexamples -p minbif-common
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit -p minbif-common --init-script=minbif --no-restart-on-upgrade
#	dh_installcron
#	dh_installinfo
	dh_installman -p minbif-common
	dh_link
	dh_strip --dbg-package=minbif-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_lintian
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## minbif 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(minbif)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules ${CMAKE_MODULE_PATH} )

INCLUDE(FindPkgConfig)
INCLUDE(CheckIncludeFiles)
INCLUDE(CheckLibraryExists)

if (DEBUG)
  message(STATUS "Configuring for debug")
  ADD_DEFINITIONS(-DDEBUG -Werror)
  SET(CMAKE_BUILD_TYPE Debug)
else (DEBUG)
  message(STATUS "Configuring for release")
  SET(CMAKE_BUILD_TYPE Release)
endif (DEBUG)

PKG_CHECK_MODULES(PURPLE REQUIRED purple>=2.5)

OPTION(ENABLE_MINBIF "Enable minbif compilation" ON)
IF(ENABLE_MINBIF)
	PKG_CHECK_MODULES(GTHREAD REQUIRED gthread-2.0)

	OPTION(ENABLE_IMLIB "Use imlib library" ON)
	IF(ENABLE_IMLIB)
		PKG_CHECK_MODULES(IMLIB imlib2>=1.0)

		IF(IMLIB_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_IMLIB")

			INCLUDE(FindX11)
			IF(NOT X11_FOUND)
				ADD_DEFINITIONS(-DX_DISPLAY_MISSING)
			ENDIF(NOT X11_FOUND)
		ELSE(IMLIB_FOUND)
			MESSAGE(FATAL_ERROR "Unable to find the imlib2 library. To disable use of imlib2, run 'make ENABLE_IMLIB=OFF'")
		ENDIF(IMLIB_FOUND)
	ENDIF(ENABLE_IMLIB)

	OPTION(ENABLE_CACA "Enable libcaca library" ON)
	IF(ENABLE_CACA)
		IF(NOT ENABLE_IMLIB)
			MESSAGE(FATAL_ERROR "You need to enable IMLIB to enable CACA")
		ENDIF(NOT ENABLE_IMLIB)
		PKG_CHECK_MODULES(CACA caca>=0.99)

		IF(CACA_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_CACA")
		ELSE(CACA_FOUND)
			MESSAGE(FATAL_ERROR "Unable to find the libcaca library. To disable caca output, run 'make ENABLE_CACA=OFF'")
		ENDIF(CACA_FOUND)

		PKG_CHECK_MODULES(NEWCACA caca>=0.99.beta17)
		IF(NOT NEWCACA_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_OLD_CACA")
		ENDIF(NOT NEWCACA_FOUND)
	ENDIF(ENABLE_CACA)

	OPTION(ENABLE_VIDEO "Enable video support" ON)
	IF(ENABLE_VIDEO)
		IF(NOT ENABLE_CACA)
			MESSAGE(FATAL_ERROR "You need to enable CACA to enable VIDEO")
		ENDIF(NOT ENABLE_CACA)
		PKG_CHECK_MODULES(GSTREAMER gstreamer-0.10>=0.10.10 gstreamer-interfaces-0.10>=0.10)
		PKG_CHECK_MODULES(FARSIGHT farsight2-0.10>=0.0.9)
		PKG_CHECK_MODULES(PURPLE_26 purple>=2.6.1)
		IF(GSTREAMER_FOUND AND PURPLE_26_FOUND AND FARSIGHT_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_VIDEO")
		ELSE(GSTREAMER_FOUND AND PURPLE_26_FOUND AND FARSIGHT_FOUND)
			MESSAGE(FATAL_ERROR "Dependencies for video were not met. Install gstreamer, farsight and libpurple>=2.6 first. Or to disable video, run 'make ENABLE_VIDEO=0'")
		ENDIF(GSTREAMER_FOUND AND PURPLE_26_FOUND AND FARSIGHT_FOUND)
	ENDIF(ENABLE_VIDEO)

	OPTION(ENABLE_PAM "Enable PAM support" ON)
	IF (ENABLE_PAM)
		find_package(PAM)

		IF (PAM_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_PAM")
		ENDIF (PAM_FOUND)
	ENDIF (ENABLE_PAM)

	OPTION(ENABLE_TLS "Enable TLS support" ON)
	IF (ENABLE_TLS)
		PKG_CHECK_MODULES(GNUTLS REQUIRED "gnutls")
		IF (GNUTLS_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_TLS")
		ENDIF (GNUTLS_FOUND)
	ENDIF (ENABLE_TLS)

	SET(CONF_NAME minbif.conf)
	SET(MOTD_NAME minbif.motd)

	IF(NOT MAN_PREFIX)
		SET(MAN_PREFIX ${CMAKE_INSTALL_PREFIX}/share/man/man8/)
	ENDIF(NOT MAN_PREFIX)
	IF(NOT CONF_PREFIX)
		SET(CONF_PREFIX ${CMAKE_INSTALL_PREFIX}/etc/minbif)
	ENDIF(NOT CONF_PREFIX)
	IF(NOT DOC_PREFIX)
		SET(DOC_PREFIX ${CMAKE_INSTALL_PREFIX}/share/doc/minbif)
	ENDIF(NOT DOC_PREFIX)

	INSTALL(FILES man/minbif.8
		DESTINATION ${MAN_PREFIX})
	INSTALL(FILES COPYING README
		DESTINATION ${DOC_PREFIX})
	INSTALL(DIRECTORY doc/
		DESTINATION ${DOC_PREFIX})
	INSTALL(FILES ${CONF_NAME} ${MOTD_NAME}
		DESTINATION ${CONF_PREFIX})

ENDIF(ENABLE_MINBIF)

OPTION(ENABLE_PLUGIN "Enable plugin build" OFF)
IF(ENABLE_PLUGIN)
	PKG_CHECK_MODULES(LIBXML REQUIRED libxml-2.0>=2.5)
ENDIF(ENABLE_PLUGIN)

INCLUDE_DIRECTORIES(${PURPLE_INCLUDE_DIRS} ${GTHREAD_INCLUDE_DIRS} ${CACA_INCLUDE_DIRS} ${IMLIB_INCLUDE_DIRS} ${GSTREAMER_INCLUDE_DIRS} ${FARSIGHT_INCLUDE_DIRS} ${LIBXML_INCLUDE_DIRS} ${PAM_INCLUDE_DIRS} ${GNUTLS_INCLUDE_DIRS} "src/")
LINK_DIRECTORIES(${PURPLE_LIBRARY_DIRS} ${GTHREAD_LIBRARY_DIRS} ${CACA_LIBRARY_DIRS} ${IMLIB_LIBRARY_DIRS} ${GSTREAMER_LIBRARY_DIRS} ${FARSIGHT_LIBRARY_DIRS} ${LIBXML_LIBRARY_DIRS} ${GNUTLS_LIBRARY_DIRS})

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_REENTRANT -D_FILE_OFFSET_BITS=64 -Wall -Wextra -Wno-unused-parameter")
SET(CMAKE_CXX_FLAGS ${CMAKE_C_FLAGS})

IF(ENABLE_MINBIF)
	add_subdirectory(src)
ENDIF(ENABLE_MINBIF)

IF(ENABLE_PLUGIN)
	add_subdirectory(plugins)
ENDIF(ENABLE_PLUGIN)

MESSAGE(STATUS "Using compiler ${CMAKE_CXX_COMPILER}")
MESSAGE(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

=== debian/changelog ===
minbif (1:1.0.4-4) unstable; urgency=low

  * Build-depend on libpam0g-dev (Closes: #601854).

 -- Sebastien Delafond <seb@debian.org>  Sun, 07 Nov 2010 18:25:17 +0100

minbif (1:1.0.4-3) unstable; urgency=low

  * Don't mention webcam functionality in the description of packages
    other than minbif-webcam (Closes: #599928).

 -- Sebastien Delafond <seb@debian.org>  Thu, 14 Oct 2010 15:52:12 +0200

minbif (1:1.0.4-2) unstable; urgency=low

  * Hide harmless warnings generated by adduser if /var/lib/minbif already
    exists (Closes upstream bug #295).

 -- Sebastien Delafond <seb@debian.org>  Wed, 22 Sep 2010 10:57:59 +0200

minbif (1:1.0.4-1) unstable; urgency=low

  * New upstream version.
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Mon, 20 Sep 2010 19:29:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 7.4.2), cmake, libimlib2-dev, libcaca-dev, libpurple-dev (>= 2.6.1), libgstfarsight0.10-dev (>=0.0.9), libgstreamer-plugins-base0.10-dev (>= 0.10.10), libgnutls-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.4.2), cmake, libimlib2-dev, libcaca-dev, libpurple-dev (>= 2.6.1), libgstfarsight0.10-dev (>=0.0.9), libgstreamer-plugins-base0.10-dev (>= 0.10.10), libgnutls-dev, libpam0g-dev
+Standards-Version: 3.9.1
 Homepage: http://symlink.me/wiki/minbif
 Vcs-Git: git://git.symlink.me/pub/seb/minbif-debian.git
 Vcs-Browser: http://git.symlink.me/?p=seb/minbif-debian.git;a=summary
@@ -36,7 +36,6 @@
   * Auto\-rejoin conversation channels at connection;
   * Display list of channels on an IM account with /LIST;
   * irssi scripts to increase your user experience of minbif;
-  * CACAcam (webcam in ascii art).         
   * CoinCoin plugin for libpurple.         
  .
  This package contains the documentation and common plugins.
@@ -69,7 +68,6 @@
   * Auto\-rejoin conversation channels at connection;
   * Display list of channels on an IM account with /LIST;
   * irssi scripts to increase your user experience of minbif;
-  * CACAcam (webcam in ascii art).         
   * CoinCoin plugin for libpurple.         
 
 Package: minbif-webcam
@@ -134,7 +132,6 @@
   * Auto\-rejoin conversation channels at connection;
   * Display list of channels on an IM account with /LIST;
   * irssi scripts to increase your user experience of minbif;
-  * CACAcam (webcam in ascii art).         
   * CoinCoin plugin for libpurple.         
  .
  This package provides debugging symbols.

## minbif 1.0.5

=== debian/changelog ===
minbif (1:1.0.5-3) unstable; urgency=low

  * Fix FTBFS with GCC-4.7 (Closes: #667279)

 -- Sebastien Delafond <seb@debian.org>  Tue, 10 Apr 2012 11:26:08 +0200

minbif (1:1.0.5-2) unstable; urgency=low

  * Fix glib headers inclusion (Closes: #665580)
  * Bump up Standards-Version.  

 -- Sebastien Delafond <seb@debian.org>  Tue, 27 Mar 2012 11:22:41 +0200

minbif (1:1.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Sun, 04 Dec 2011 15:54:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 7.4.2), cmake, libimlib2-dev, libcaca-dev, libpurple-dev (>= 2.6.1), libgstfarsight0.10-dev (>=0.0.9), libgstreamer-plugins-base0.10-dev (>= 0.10.10), libgnutls-dev, libpam0g-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://symlink.me/wiki/minbif
 Vcs-Git: git://git.symlink.me/pub/seb/minbif-debian.git
 Vcs-Browser: http://git.symlink.me/?p=seb/minbif-debian.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,9 @@
 	mkdir -p builddir2
 	cd builddir2 && cmake .. $(COMMON_FLAGS) -DENABLE_VIDEO=ON
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:  builddir/Makefile builddir2/Makefile
 	dh_testdir

## minbif 1.0.5+git20120508

=== Makefile ===
include Makefile.options.defaults
-include Makefile.options.local

include Makefile.parser

CMAKE_OPTIONS = $(EXTRA_CMAKE_FLAGS) $(CMAKE_PREFIX)

all: build/Makefile
	$(MAKE) -C build all

build/Makefile:
	@[ -d build ] || mkdir build
	cd build && cmake .. $(CMAKE_OPTIONS) || cd .. && rm -rf build

install:
	$(MAKE) -C build install

clean:
	rm -rf build
	rm -rf release

doc:
	cd doc/ && /usr/bin/doxygen

tests:
	$(MAKE) -C tests

.PHONY: all clean install doc tests

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
 		im/auth_local.cpp
 		im/auth_connection.cpp
 		${MINBIF_EXTRA_FILES_PAM}
+		im/plugin.cpp
 		im/protocol.cpp
 		im/account.cpp
 		im/roomlist.cpp
@@ -37,12 +38,16 @@
 		im/purple.cpp
 		irc/settings.cpp
 		irc/irc.cpp
+		irc/cmds.cpp
+		irc/cmds_accounts.cpp
+		irc/cmds_channels.cpp
 		irc/dcc.cpp
 		irc/message.cpp
 		irc/server.cpp
 		irc/nick.cpp
 		irc/user.cpp
 		irc/buddy_icon.cpp
+		irc/conv_entity.cpp
 		irc/buddy.cpp
 		irc/unknown_buddy.cpp
 		irc/chat_buddy.cpp

=== tests/Makefile ===
libnobuffer.so: nobuffer.c
	gcc -o $@ -shared nobuffer.c $(CFLAGS) -fPIC

all: libnobuffer.so

clean:
	rm -f libnobuffer.so

.PHONY: all clean

=== plugins/gayattitude/CMakeLists.txt ===
ADD_LIBRARY(gayattitude SHARED
		ga_parsing.c
		ga_account.c
		ga_buddy.c
		ga_buddylist.c
		ga_message.c
		gayattitude.c
		)

TARGET_LINK_LIBRARIES(gayattitude ${PURPLE_LIBRARIES} ${LIBXML_LIBRARIES} pluginlib)

=== plugins/lib/CMakeLists.txt ===
ADD_LIBRARY(pluginlib
		http.c
		)
TARGET_LINK_LIBRARIES(pluginlib ${PURPLE_LIBRARIES})
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")

=== debian/changelog ===
minbif (1:1.0.5+git20120508-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/minbif.postinst: Fix directory to symlink upgrade in postinst.
    (Closes: #687660)

 -- David Prévot <taffit@debian.org>  Wed, 26 Sep 2012 15:46:12 -0400

minbif (1:1.0.5+git20120508-2) unstable; urgency=low

  * Re-enable caca so user icons can be displayed; it should not have been
    disabled as part of the fix for #672105. Thanks to Marc Dequènes
    <duck@duckcorp.org> for the sharp eye.

 -- Sebastien Delafond <seb@debian.org>  Sun, 19 Aug 2012 12:38:44 +0200

minbif (1:1.0.5+git20120508-1) unstable; urgency=low

  * New upstream snapshot, fixing build problems with gcc 4.7 (Closes: #672018)
  * Do not build minbif-webcam anymore (Closes: #672105)

 -- Sebastien Delafond <seb@debian.org>  Mon, 14 May 2012 11:51:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 7.4.2), cmake, libimlib2-dev, libcaca-dev, libpurple-dev (>= 2.6.1), libgstfarsight0.10-dev (>=0.0.9), libgstreamer-plugins-base0.10-dev (>= 0.10.10), libgnutls-dev, libpam0g-dev
+Build-Depends: debhelper (>= 7.4.2), cmake, libimlib2-dev, libpurple-dev (>= 2.6.1), libxml2-dev (>= 2.5), libcaca-dev, libgnutls-dev, libpam0g-dev
 Standards-Version: 3.9.3
 Homepage: http://symlink.me/wiki/minbif
 Vcs-Git: git://git.symlink.me/pub/seb/minbif-debian.git
@@ -70,39 +70,6 @@
   * irssi scripts to increase your user experience of minbif;
   * CoinCoin plugin for libpurple.         
 
-Package: minbif-webcam
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, minbif-common
-Conflicts: minbif
-Description: IRC-to-other-IM-networks gateway using Pidgin library (webcam)
- Minbif is an IRC gateway to IM networks which provides the following features:
-  * Minbif uses a library which abstracts all IM calls, and has several
-    plugins to support more than 15 IM protocols (IRC included!);
-  * Two modes: inetd and daemon fork;
-  * Only IRC commands are used to control Minbif;
-  * Certificates check;
-  * Buddies are IRC users;
-  * Each account has a status channel. You see in all connected
-    buddies, and their status on it;
-  * Add and remove buddies from list with /INVITE and /KICK commands;
-  * Blocked users are bans on the account's status channel;
-  * Display when a buddy is typing a message;
-  * Can chat with someone who is not in your buddy list;
-  * You can see buddies' icons (with libcaca) or download them;
-  * DCC SEND an image to set your icon on IM networks;
-  * Display extended information about buddies with /WII command;
-  * Support away messages;                 
-  * Can send and receive files, which are sent or received to/from your
-    IRC client with DCC SEND;
-  * Conversation channels are supported;   
-  * Auto\-rejoin conversation channels at connection;
-  * Display list of channels on an IM account with /LIST;
-  * irssi scripts to increase your user experience of minbif;
-  * CACAcam (webcam in ascii art).         
-  * CoinCoin plugin for libpurple.         
- .
- This package provides the "cacacam" webcam functionality.
-
 Package: minbif-dbg
 Architecture: any
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -1,32 +1,26 @@
 #!/usr/bin/make -f
 
-COMMON_FLAGS := -DCMAKE_INSTALL_PREFIX=/usr -DCONF_PREFIX=/etc/minbif -DENABLE_CACA=ON -DENABLE_PAM=ON -DENABLE_TLS=ON -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_LD_FLAGS="-Wl,-z,defs" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON
+COMMON_FLAGS := -DCMAKE_INSTALL_PREFIX=/usr -DCONF_PREFIX=/etc/minbif -DENABLE_CACA=ON -DENABLE_VIDEO=OFF -DENABLE_PLUGIN=ON -DENABLE_PAM=ON -DENABLE_TLS=ON -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_LD_FLAGS="-Wl,-z,defs" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON
 
 builddir/Makefile:
 	dh_testdir
 	mkdir -p builddir
-	cd builddir && cmake .. $(COMMON_FLAGS) -DENABLE_VIDEO=OFF -DENABLE_PLUGIN=ON
-
-builddir2/Makefile:
-	dh_testdir
-	mkdir -p builddir2
-	cd builddir2 && cmake .. $(COMMON_FLAGS) -DENABLE_VIDEO=ON
+	cd builddir && cmake .. $(COMMON_FLAGS)
 
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
 
-build-stamp:  builddir/Makefile builddir2/Makefile
+build-stamp:  builddir/Makefile
 	dh_testdir
 	$(MAKE) -C builddir
-	$(MAKE) -C builddir2
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	rm -rf builddir builddir2 build.minbif
+	rm -rf builddir build.minbif
 	dh_clean
 
 install: build
@@ -35,10 +29,10 @@
 	dh_installdirs
 
 	$(MAKE) -C builddir DESTDIR=$(CURDIR)/debian/minbif install
-	$(MAKE) -C builddir2 DESTDIR=$(CURDIR)/debian/minbif-webcam install
 
 	mkdir -p $(CURDIR)/debian/minbif-common/usr/share/
 	mv $(CURDIR)/debian/minbif/usr/share/* $(CURDIR)/debian/minbif-common/usr/share/
+	mv $(CURDIR)/debian/minbif-common/usr/share/doc/minbif $(CURDIR)/debian/minbif-common/usr/share/doc/minbif-common
 	mv $(CURDIR)/debian/minbif/usr/lib $(CURDIR)/debian/minbif-common/usr/
 	mv $(CURDIR)/debian/minbif/etc/* $(CURDIR)/debian/minbif-common/etc/
 
@@ -46,11 +40,8 @@
 
 	find  $(CURDIR)/debian -name .git -exec rm "{}" \;
 
-	rm -f $(CURDIR)/debian/minbif*/usr/share/doc/minbif/COPYING
-
+	rm -f $(CURDIR)/debian/minbif*/usr/share/doc/minbif-common/COPYING*
 	rm -rf $(CURDIR)/debian/minbif/usr/share
-	rm -rf $(CURDIR)/debian/minbif-webcam/usr/share
-	rm -fr $(CURDIR)/debian/minbif-webcam/etc
 
 # Build architecture-independent files here.
 binary-indep: install

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

opts="uversionmangle=s/(rc|beta|alpha)/~$1/i"\
 http://symlink.me/projects/list_files/minbif \
 .*?/minbif-(\d.*)\.tar\.gz debian uupdate
